[DRE-commits] [gitlab] 01/03: fix loop condition

Praveen Arimbrathodiyil praveen at moszumanska.debian.org
Tue Nov 3 12:24:47 UTC 2015


This is an automated email from the git hooks/post-receive script.

praveen pushed a commit to branch master
in repository gitlab.

commit 6f4af34b2771cdcd31bf2726d5d51a3f3af8b727
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date:   Mon Nov 2 23:28:23 2015 +0530

    fix loop condition
---
 debian/grantpriv.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/debian/grantpriv.sh b/debian/grantpriv.sh
index 66c1f2d..2dc6f89 100755
--- a/debian/grantpriv.sh
+++ b/debian/grantpriv.sh
@@ -3,7 +3,7 @@
 user=gitlab
 dbname=gitlab_production
 
-if su gitlab -c 'psql gitlab_production -c ""'
+if ! su gitlab -c 'psql gitlab_production -c ""'
 then
 	echo "Create $user user with create database privillege..."
 	sudo -u postgres psql -c "CREATE USER $user CREATEDB;" || {

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/gitlab.git



More information about the Pkg-ruby-extras-commits mailing list